Remove a role assignment
Removes a specific role assignment from the user.
Required permissions: TENANT_USER_ROLE_ASSIGNMENT
delete/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+tenantUserUidstringRequiredPattern:
Reference to a TenantUser.
^[A-Za-z0-9-_]+tenantUserRoleAssignmentUidstringRequiredPattern:
Reference to a TenantUserRoleAssignment.
^[A-Za-z0-9-_]+Responses
204
Role assignment removed
No content
delete/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid}
DELETE /v2/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204
Role assignment removed
No content
Last updated
Was this helpful?

